# Makefile.in generated by automake 1.9.6 from Makefile.am.
# cxx/Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
# Copyright 2005, see the COPYRIGHT file for more information.
# This file builds the C++ interface.
# $Id: Makefile.am,v 1.33 2007/02/27 15:44:33 ed Exp $
# Here's what the hand-crafted Makefile did to build cxx:
# c++ -c -g -O2 -I../libsrc -I. -Df2cFortran netcdf.cpp
# c++ -c -g -O2 -I../libsrc -I. -Df2cFortran ncvalues.cpp
# ar cru libnetcdf_c++.a netcdf.o ncvalues.o
# ranlib libnetcdf_c++.a
# c++ -c -g -O2 -I../libsrc -I. -Df2cFortran nctst.cpp
# c++ -o nctst -g -O2 nctst.o libnetcdf_c++.a -L../libsrc -lnetcdf
srcdir = .
top_srcdir = ..
pkgdatadir = $(datadir)/netcdf
pkglibdir = $(libdir)/netcdf
pkgincludedir = $(includedir)/netcdf
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o root -g wheel
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-unknown-gnu
host_triplet = i386-unknown-gnu
check_PROGRAMS = $(am__EXEEXT_1)
# If the utilities have been built, run these extra tests.
am__append_1 = run_nc_tests.sh
# If we're building netCDF-4, we need to include netcdf-4 headers, and
# also link to hdf5 libraries.
# Point pre-preprocessor and linker to netcdf-4 directory (libsrc4).
#am__append_2 = -I$(top_srcdir)/libsrc4
# If the user specified a root for HDF5, use it.
##am__append_3 = -I@HDF5DIR@/include
##am__append_4 = -L@HDF5DIR@/lib
# NetCDF_4 testing generates some extra cleaning work (so do my kids!)
#am__append_5 = nctst_netcdf4.cdl nctst_netcdf4_classic.cdl
# Run extra netcdf-4 tests.
#am__append_6 = run_nc4_tests.sh
# Point pre-processor and linker to netcdf-3 directory (libsrc).
am__append_7 = -I$(top_srcdir)/libsrc
subdir = cxx
DIST_COMMON = README $(include_HEADERS) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
$(top_builddir)/fortran/nfconfig1.inc
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libnetcdf_c___la_LIBADD =
am_libnetcdf_c___la_OBJECTS = netcdf.lo ncvalues.lo
libnetcdf_c___la_OBJECTS = $(am_libnetcdf_c___la_OBJECTS)
am__EXEEXT_1 = nctst$(EXEEXT) tst_failure$(EXEEXT)
am_nctst_OBJECTS = nctst.$(OBJEXT)
nctst_OBJECTS = $(am_nctst_OBJECTS)
nctst_LDADD = $(LDADD)
nctst_DEPENDENCIES = \
$(top_builddir)/cxx/libnetcdf_c++.la \
$(top_builddir)/libsrc/libnetcdf.la
#nctst_DEPENDENCIES = \
# $(top_builddir)/cxx/libnetcdf_c++.la \
# $(top_builddir)/libsrc4/libnetcdf.la
am_tst_failure_OBJECTS = tst_failure.$(OBJEXT)
tst_failure_OBJECTS = $(am_tst_failure_OBJECTS)
tst_failure_LDADD = $(LDADD)
tst_failure_DEPENDENCIES = \
$(top_builddir)/cxx/libnetcdf_c++.la \
$(top_builddir)/libsrc/libnetcdf.la
#tst_failure_DEPENDENCIES = \
# $(top_builddir)/cxx/libnetcdf_c++.la \
# $(top_builddir)/libsrc4/libnetcdf.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir) -I$(top_builddir)/fortran
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnetcdf_c___la_SOURCES) $(nctst_SOURCES) \
$(tst_failure_SOURCES)
DIST_SOURCES = $(libnetcdf_c___la_SOURCES) $(nctst_SOURCES) \
$(tst_failure_SOURCES)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run aclocal-1.9
ALLOCA =
AMDEP_FALSE = #
AMDEP_TRUE =
AMTAR = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run autoconf
AUTOHEADER = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run autoheader
AUTOMAKE = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run automake-1.9
AWK = gawk
BUILD_CXX_FALSE = #
BUILD_CXX_TRUE =
BUILD_C_FALSE = #
BUILD_C_TRUE =
BUILD_DLL_FALSE =
BUILD_DLL_TRUE = #
BUILD_EXAMPLES_FALSE = #
BUILD_EXAMPLES_TRUE =
BUILD_F77_FALSE = #
BUILD_F77_TRUE =
BUILD_F90_FALSE =
BUILD_F90_TRUE = #
BUILD_SEPARATE_FORTRAN_FALSE =
BUILD_SEPARATE_FORTRAN_TRUE = #
BUILD_SHARED_FALSE =
BUILD_SHARED_TRUE = #
BUILD_UTILITIES_FALSE = #
BUILD_UTILITIES_TRUE =
BUILD_V2_FALSE = #
BUILD_V2_TRUE =
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS = -fno-common
CPP = cc -E
CPPFLAGS = -I/usr/local/include -fPIC -DPIC -Df2cFortran
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-common
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DUMPBIN =
ECHO_C =
ECHO_N = -n
ECHO_T =
EGREP = /usr/bin/grep -E
EXEEXT =
F77 = f77
FC = f77
FCFLAGS =
FCFLAGS_f90 =
FFLAGS =
FGREP = /usr/bin/grep -F
FTPBINDIR = /home/ftp/pub/binary/dummy_system
GREP = /usr/bin/grep
INSTALL_DATA = install -o root -g wheel -m 444
INSTALL_DOCS_FALSE =
INSTALL_DOCS_TRUE = #
INSTALL_PROGRAM = install -s -o root -g wheel -m 555
INSTALL_SCRIPT = install -o root -g wheel -m 555
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LARGE_FILE_TESTS_FALSE =
LARGE_FILE_TESTS_TRUE = #
LD = /usr/bin/ld
LDFLAGS =
LIBOBJS =
LIBS =
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =
MAKEINFO = ${SHELL} /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/missing --run makeinfo
MAKEWHATIS_CMD =
MOD_FLAG =
NETCDF_C_LIB =
NM = /usr/bin/nm -p
NMFLAGS =
OBJDUMP = objdump
OBJEXT =
PACKAGE = netcdf
PACKAGE_BUGREPORT = support@unidata.ucar.edu
PACKAGE_NAME = netCDF
PACKAGE_STRING = netCDF 3.6.2
PACKAGE_TARNAME = netcdf
PACKAGE_VERSION = 3.6.2
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/local/bin/sed
SET_MAKE =
SHAREEXT_DYLIB_FALSE = #
SHAREEXT_DYLIB_TRUE =
SHAREEXT_SL_FALSE =
SHAREEXT_SL_TRUE = #
SHELL = /bin/sh
STRIP = strip
TEST_F77_FALSE = #
TEST_F77_TRUE =
TEST_PARALLEL_FALSE =
TEST_PARALLEL_TRUE = #
UPPER_CASE_MOD_FALSE =
UPPER_CASE_MOD_TRUE = #
USE_FFIO_FALSE =
USE_FFIO_TRUE = #
USE_HDF5_DIR_FALSE =
USE_HDF5_DIR_TRUE = #
USE_NETCDF4_FALSE =
USE_NETCDF4_TRUE = #
USE_NETCDF_C_LIB_DIR_FALSE =
USE_NETCDF_C_LIB_DIR_TRUE = #
VERSION = 3.6.2
WHATIS = whatis
ac_ct_CC =
ac_ct_CXX =
ac_ct_DUMPBIN =
ac_ct_F77 = f77
ac_ct_FC =
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE =
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE =
am__include = include
am__leading_dot = .
am__quote =
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-unknown-gnu
build_alias = i386-unknown-gnu
build_cpu = i386
build_os = gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i386-unknown-gnu
host_alias = i386-unknown-gnu
host_cpu = i386
host_os = gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /mnt/gmirror/ports/science/netcdf/work/netcdf-3.6.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix =
prog =
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = i386-unknown-gnu
AM_CPPFLAGS = -DDEBUG $(am__append_2) $(am__append_3) $(am__append_7)
CLEANFILES = nctst_classic.nc nctst_64bit_offset.nc nctst_netcdf4.nc \
nctst_netcdf4_classic.nc nctst_classic.cdl \
nctst_64bit_offset.cdl tst_failure.nc $(am__append_5)
EXTRA_DIST = ref_nctst.cdl ref_nctst_64bit_offset.cdl \
ref_nctst_netcdf4.cdl ref_nctst_netcdf4_classic.cdl run_nc_tests.sh \
run_nc4_tests.sh
# nctst creates a simple data file in each format, then uses ncdump to
# create CDL files, which are compared with some reference files
# shipped with the code. tst_failure is a program that is intended to
# fail.
TESTFILES = nctst$(EXEEXT) tst_failure$(EXEEXT)
nctst_SOURCES = nctst.cpp
tst_failure_SOURCES = tst_failure.cpp
XFAIL_TESTS = tst_failure$(EXEEXT)
TESTS = $(TESTFILES) $(am__append_1) $(am__append_6)
AM_LDFLAGS = -L. -L$(top_builddir)/libsrc
#AM_LDFLAGS = -L. -L$(top_builddir)/libsrc4 \
# $(am__append_4)
# Link to the netCDF-3 library and the C++ library.
LDADD = $(top_builddir)/cxx/libnetcdf_c++.la $(top_builddir)/libsrc/libnetcdf.la
# Link to the netCDF-4 and the HDF5 libraries, and the C++ library.
#LDADD = $(top_builddir)/cxx/libnetcdf_c++.la $(top_builddir)/libsrc4/libnetcdf.la -lhdf5_hl -lhdf5
# See comments in libsrc/Makefile.am about the version number.
libnetcdf_c___la_LDFLAGS = $(AM_LDFLAGS) -version-info 4:0:0
# See comments in libsrc/Makefile.am about the version number.
#libnetcdf_c___la_LDFLAGS = $(AM_LDFLAGS) -version-info 5:0:0
# These headers will be installed in the users header directory.
include_HEADERS = netcdfcpp.h ncvalues.h netcdf.hh
# This is our output library.
lib_LTLIBRARIES = libnetcdf_c++.la
# Library source.
libnetcdf_c___la_SOURCES = netcdf.cpp ncvalues.cpp
all: all-am
.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign cxx/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --foreign cxx/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
@$(NORMAL_INSTALL)
test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
if test -f $$p; then \
f=$(am__strip_dir) \
echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
$(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
else :; fi; \
done
uninstall-libLTLIBRARIES:
@$(NORMAL_UNINSTALL)
@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
p=$(am__strip_dir) \
echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
$(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
done
clean-libLTLIBRARIES:
-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
test "$$dir" != "$$p" || dir=.; \
echo "rm -f \"$${dir}/so_locations\""; \
rm -f "$${dir}/so_locations"; \
done
libnetcdf_c++.la: $(libnetcdf_c___la_OBJECTS) $(libnetcdf_c___la_DEPENDENCIES)
$(CXXLINK) -rpath $(libdir) $(libnetcdf_c___la_LDFLAGS) $(libnetcdf_c___la_OBJECTS) $(libnetcdf_c___la_LIBADD) $(LIBS)
clean-checkPROGRAMS:
@list='$(check_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
nctst$(EXEEXT): $(nctst_OBJECTS) $(nctst_DEPENDENCIES)
@rm -f nctst$(EXEEXT)
$(CXXLINK) $(nctst_LDFLAGS) $(nctst_OBJECTS) $(nctst_LDADD) $(LIBS)
tst_failure$(EXEEXT): $(tst_failure_OBJECTS) $(tst_failure_DEPENDENCIES)
@rm -f tst_failure$(EXEEXT)
$(CXXLINK) $(tst_failure_LDFLAGS) $(tst_failure_OBJECTS) $(tst_failure_LDADD) $(LIBS)
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
include ./$(DEPDIR)/nctst.Po
include ./$(DEPDIR)/ncvalues.Plo
include ./$(DEPDIR)/netcdf.Plo
include ./$(DEPDIR)/tst_failure.Po
.cpp.o:
depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`; \
if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ $<; \
then mv -f "$$depbase.Tpo" "$$depbase.Po"; else rm -f "$$depbase.Tpo"; exit 1; fi
# source='$<' object='$@' libtool=no \
# DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
# $(CXXCOMPILE) -c -o $@ $<
.cpp.obj:
depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`; \
if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
then mv -f "$$depbase.Tpo" "$$depbase.Po"; else rm -f "$$depbase.Tpo"; exit 1; fi
# source='$<' object='$@' libtool=no \
# DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
# $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
.cpp.lo:
depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`; \
if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ $<; \
then mv -f "$$depbase.Tpo" "$$depbase.Plo"; else rm -f "$$depbase.Tpo"; exit 1; fi
# source='$<' object='$@' libtool=yes \
# DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
# $(LTCXXCOMPILE) -c -o $@ $<
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
distclean-libtool:
-rm -f libtool
uninstall-info-am:
install-includeHEADERS: $(include_HEADERS)
@$(NORMAL_INSTALL)
test -z "$(includedir)" || $(mkdir_p) "$(DESTDIR)$(includedir)"
@list='$(include_HEADERS)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
f=$(am__strip_dir) \
echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
$(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
done
uninstall-includeHEADERS:
@$(NORMAL_UNINSTALL)
@list='$(include_HEADERS)'; for p in $$list; do \
f=$(am__strip_dir) \
echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
rm -f "$(DESTDIR)$(includedir)/$$f"; \
done
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=$(srcdir); export srcdir; \
list='$(TESTS)'; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
distdir: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
list='$(DISTFILES)'; for file in $$list; do \
case $$file in \
$(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
$(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
esac; \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
if test "$$dir" != "$$file" && test "$$dir" != "."; then \
dir="/$$dir"; \
$(mkdir_p) "$(distdir)$$dir"; \
else \
dir=''; \
fi; \
if test -d $$d/$$file; then \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
installdirs:
for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
test -z "$$dir" || $(mkdir_p) "$$dir"; \
done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
clean-libtool mostlyclean-am
distclean: distclean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-libtool distclean-tags
dvi: dvi-am
dvi-am:
html: html-am
info: info-am
info-am:
install-data-am: install-includeHEADERS
install-exec-am: install-libLTLIBRARIES
install-info: install-info-am
install-man:
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am: uninstall-includeHEADERS uninstall-info-am \
uninstall-libLTLIBRARIES
.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
clean-libtool ctags distclean distclean-compile \
distclean-generic distclean-libtool distclean-tags distdir dvi \
dvi-am html html-am info info-am install install-am \
install-data install-data-am install-exec install-exec-am \
install-includeHEADERS install-info install-info-am \
install-libLTLIBRARIES install-man install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags uninstall uninstall-am uninstall-includeHEADERS \
uninstall-info-am uninstall-libLTLIBRARIES
test: check
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
syntax highlighted by Code2HTML, v. 0.9.1